﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ModelPopupExample.aspx.cs" Inherits="ModelPopupExample" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
            .modalBackground { 
                background-color:Gray; 
                filter: alpha(opacity=70);  
                opacity: 0.7;    
            } 
            
            .popup
            {
            	background-color:White;
            }
    </style>

    <script type="text/javascript">
        function onAgree() {
            alert("Thank you for your approval!");
        }

        function onDisagree() {
            alert("I appreciate your feedback; I will work harder to make it better!");
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
        </ajaxToolkit:ToolkitScriptManager>

    <p>
        Transcript: Welcome back, everybody. This is Ayad Boudiab. I am a senior .net application developer, and we are continuing our discussion on HTML5. We have discussed in a few videos already, and we talked about audio-video and some of the input controls that we can work with. We looked at different types, including, for example, email. And we saw how we can specify the different properties for the email type and also, for example, how we can work with the simple text where the user just types in regular text but not specifying any type. We also looked at type of number, where we can specify the minimum and the maximum. So, the user can roll through the list and choose what number they like. And also, we specified the type of telephone number, and we specified the place folder and the pattern that we'd like to use so the input from the user will be validated against the pattern.
        </p>
        <p>
        We are continuing our discussion today and will talk more about those types of different input controls. In this case, we'll talk about the URL, so when I specify a type of URL, how I can work with that. Well, normally that's what we do. We just say input and we include the type. The type in this case is URL. For the type URL, I can specify again, the name, make it equal URL and also the ID URL. You can give it any name of the ID you want. In this case, we just simply say URL. And the place folder, so the user would look at that to specify, or have an idea of what type of format you are using. But please be careful here. I already specified that in the previous video, and I will state it again. When you specify the place folder, your input will not be validated against that place folder value. If you need validation, you are comparing against the pattern. So, you specify the pattern, and from the pattern the code would tell whether this something matched what you are looking for or it didn't. The place folder is just as a mark for the user to know what kind of format we are looking for. So, in this case, for example, I would say the place folder is HTTP [inaudible 02:26] // and I can specify www.http://mrbool.com .com. Okay? That's the format that I want the user to follow. Now, the title again, this helps me when the error message comes up. The title would say this is a URL, and you can specify the format you'd be interested in. But that's enough for our case, and don't forget the tab index. In this case again, it's no a big deal because there is only one. But it's a good idea to get into the habit of typing the tab index so the user will be able to smoothly tab between one input type to another. So, I specified the type. I specified the name. I specified the idea and the place holder, title and tab index.
        </p>
        <p>
        Then, on the top here I'll create a label, and that label I'll make sure it's for that URL. It says in here, enter URL. That's for the URL. I can right click, if you are in the browser. I've got the place holder, http://mrbool.com . I hover over it. It says to just say URL, and then I should be able to submit, and I'm not validating against anything. So, it's not following a specific pattern. So, I should be able to submit with no problem. I also can say HTTP.com// www.myvideo.com, something like that, and then I submit it and that is showing up here in the URL. So, that's pretty much it. We've seen this before. It's standard on how we can work with the different types. This is a URL that we're working with. Load it again. You see that it has the actual place folder, nothing fancy about it. I can simply take that, and like we've done before, try to load that in Opera. You notice in Opera it works fine with the place folder and everything and also load that in Firefox, and you will see that once again, it's there with a place folder and everything. That's how we can work with the URL. That works nicely with the other email ...
        </p>

        <asp:Button ID="Button1" runat="server" Text="Feedback" />

        <asp:Panel ID="Panel1" runat="server" CssClass="popup">
            Please give me your feedback about the script above. Do you agree/disagree?
            <hr />
            <asp:Button ID="btnAgree" runat="server" Text="Agree" />
            <asp:Button ID="btnDisagree" runat="server" Text="Disagree" />
        </asp:Panel>

        <ajaxToolkit:ModalPopupExtender ID="ModalPopupExtender1" 
            runat="server"
            TargetControlID="Button1"
            PopupControlID="Panel1"
            BackgroundCssClass="modalBackground"
            DropShadow="true"
            OkControlID="btnAgree"
            CancelControlID="btnDisagree"
            OnOkScript="onAgree()"
            OnCancelScript="onDisagree()">
            <Animations>
                <OnShown>
                    <Fadein />
                </OnShown>
                <OnHiding>
                    <Fadeout />
                </OnHiding>
            </Animations>
        </ajaxToolkit:ModalPopupExtender>

    </div>
    </form>
</body>
</html>
